Bug 223329 - games/wtf: replace reference to pkg_info
Summary: games/wtf: replace reference to pkg_info
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Nikolai Lifanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-30 22:46 UTC by John Hein
Modified: 2017-11-02 02:02 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (lifanov)


Attachments
[patch] use pkg info instead of pkg_info (816 bytes, patch)
2017-10-30 22:46 UTC, John Hein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Hein 2017-10-30 22:46:37 UTC
Created attachment 187599 [details]
[patch] use pkg info instead of pkg_info

The wtf script tries pkg_info on the term if the original lookup or 'whatis' fails.  The attached patch changes that to 'pkg info' for the recent versions of FreeBSD.
Comment 1 Nikolai Lifanov freebsd_committer 2017-10-31 15:02:55 UTC
Thank you for the submission! I will take a slightly different approach that can be upstreamed.
Comment 2 commit-hook freebsd_committer 2017-10-31 15:07:12 UTC
A commit references this bug:

Author: lifanov
Date: Tue Oct 31 15:06:58 UTC 2017
New revision: 453241
URL: https://svnweb.freebsd.org/changeset/ports/453241

Log:
  games/wtf: fix package lookup with FreeBSD pkg

  PR:		223329
  Submitted by:	John Hein <z7dr6ut7gs@snkmail.com>

Changes:
  head/games/wtf/Makefile
  head/games/wtf/files/
  head/games/wtf/files/patch-wtf
Comment 3 Nikolai Lifanov freebsd_committer 2017-10-31 15:11:15 UTC
Committed, thanks!
Comment 4 John Hein 2017-11-01 22:20:31 UTC
Thanks.  It's pkg-info(8), but not a big deal.
Comment 5 Nikolai Lifanov freebsd_committer 2017-11-02 02:02:36 UTC
Ugh, sorry. I'll change it with the next update.